Subject: bug#22817: 25.0.91; [PATCH] Include versioned preloaded libraries in `package--builtin-versions'

From: Chris Feng <[email-masked]>
Date: Wed, 13 Jul 2016 20:17:32 +0800

>> I think we can simply drop the version info in `package--builtins' /
>> `package--bi-desc' so as to eliminate duplicated info and prevent
>> future confusion.  Also the variables are only used in a few places so
>> it'd be easy to make the change.
>
> I'm not completely sure the end result will be simpler/cleaner, but
> I guess it's worth a try.

I've installed this patch into master.  It turns out
`package--builtins' and `package--bi-desc' cannot be elegantly cleaned
up so I just give up the idea.